Client A P I
Toggle backup lock
Toggles whether a backup is locked against deletion.
POST
/api/client/servers/{server_uuid}/backups/{backup_uuid}/lockAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
backup_uuid*string
The backup UUID.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/backups/b6b9acf9-19b1-4bb1-8c75-4abac802c6cf/lock"{ "object": "backup", "attributes": { "uuid": "b1ad97bf-3ae6-43f0-bd9f-623cf9482785", "is_successful": true, "is_locked": false, "name": "Sunt nihil accusantium harum mollitia.", "ignored_files": [ "string" ], "checksum": "sha256:0123456789abcdef", "bytes": 0, "created_at": "2026-09-22T14:45:24+00:00", "completed_at": "2026-06-29T12:05:00+00:00" }}